Main Page Class List Class Members

# Nv::Blast::Serialization::ExtPxAsset::ExtPxAsset::Reader Class Reference

`#include <NvBlastExtPxSerialization.capn.h>`

List of all members.

## Public Types
typedef ExtPxAsset | Reads
## Public Member Functions
inline::Nv::Blast::Serialization::TkAsset::Reader | getAsset () const
inline::capnp::List< float > ::Reader | getBondHealths () const
inline::capnp::List < ::Nv::Blast::Serialization::ExtPxChunk > ::Reader | getChunks () const
inline::capnp::List < ::Nv::Blast::Serialization::ExtPxSubchunk > ::Reader | getSubchunks () const
inline::capnp::List< float > ::Reader | getSupportChunkHealths () const
float | getUniformInitialBondHealth () const
float | getUniformInitialLowerSupportChunkHealth () const
bool | hasAsset () const
bool | hasBondHealths () const
bool | hasChunks () const
bool | hasSubchunks () const
bool | hasSupportChunkHealths () const
| Reader (::capnp::_::StructReader base)
| Reader ()
inline::kj::StringTree | toString () const
inline::capnp::MessageSize | totalSize () const
## Friends
struct | ::capnp::_::PointerHelpers
struct | ::capnp::List
class | ::capnp::MessageBuilder
class | ::capnp::Orphanage
struct | ::capnp::ToDynamic_

## Member Typedef Documentation

typedef ExtPxAsset Nv::Blast::Serialization::ExtPxAsset::ExtPxAsset::Reader::Reads

## Constructor & Destructor Documentation

Nv::Blast::Serialization::ExtPxAsset::ExtPxAsset::Reader::Reader | ( |  | ) |

Nv::Blast::Serialization::ExtPxAsset::ExtPxAsset::Reader::Reader | ( | ::capnp::_::StructReader | base | ) | `[inline, explicit]`

## Member Function Documentation

Nv::Blast::Serialization::TkAsset::Reader Nv::Blast::Serialization::ExtPxAsset::ExtPxAsset::Reader::getAsset | ( |  | ) | const`[inline]`

inline ::capnp::List<float>::Reader Nv::Blast::Serialization::ExtPxAsset::ExtPxAsset::Reader::getBondHealths | ( |  | ) | const

capnp::List<::Nv::Blast::Serialization::ExtPxChunk >::Reader Nv::Blast::Serialization::ExtPxAsset::ExtPxAsset::Reader::getChunks | ( |  | ) | const`[inline]`

inline ::capnp::List< ::Nv::Blast::Serialization::ExtPxSubchunk>::Reader Nv::Blast::Serialization::ExtPxAsset::ExtPxAsset::Reader::getSubchunks | ( |  | ) | const

inline ::capnp::List<float>::Reader Nv::Blast::Serialization::ExtPxAsset::ExtPxAsset::Reader::getSupportChunkHealths | ( |  | ) | const

float Nv::Blast::Serialization::ExtPxAsset::ExtPxAsset::Reader::getUniformInitialBondHealth | ( |  | ) | const`[inline]`

float Nv::Blast::Serialization::ExtPxAsset::ExtPxAsset::Reader::getUniformInitialLowerSupportChunkHealth | ( |  | ) | const`[inline]`

bool Nv::Blast::Serialization::ExtPxAsset::ExtPxAsset::Reader::hasAsset | ( |  | ) | const`[inline]`

bool Nv::Blast::Serialization::ExtPxAsset::ExtPxAsset::Reader::hasBondHealths | ( |  | ) | const`[inline]`

bool Nv::Blast::Serialization::ExtPxAsset::ExtPxAsset::Reader::hasChunks | ( |  | ) | const`[inline]`

bool Nv::Blast::Serialization::ExtPxAsset::ExtPxAsset::Reader::hasSubchunks | ( |  | ) | const`[inline]`

bool Nv::Blast::Serialization::ExtPxAsset::ExtPxAsset::Reader::hasSupportChunkHealths | ( |  | ) | const`[inline]`

inline ::kj::StringTree Nv::Blast::Serialization::ExtPxAsset::ExtPxAsset::Reader::toString | ( |  | ) | const`[inline]`

inline ::capnp::MessageSize Nv::Blast::Serialization::ExtPxAsset::ExtPxAsset::Reader::totalSize | ( |  | ) | const`[inline]`

## Friends And Related Function Documentation

friend struct ::capnp::_::PointerHelpers`[friend]`

friend struct ::capnp::List`[friend]`

friend class ::capnp::MessageBuilder`[friend]`

friend class ::capnp::Orphanage`[friend]`

friend struct ::capnp::ToDynamic_`[friend]`

The documentation for this class was generated from the following file:

- sdk/extensions/serialization/source/generated/NvBlastExtPxSerialization.capn.h